> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/reference/sql-commands/drop-operator-class.md).

# DROP OPERATOR CLASS

## DROP OPERATOR CLASS

DROP OPERATOR CLASS — remove an operator class

### Synopsis

```

DROP OPERATOR CLASS [ IF EXISTS ] name USING index_method [ CASCADE | RESTRICT ]
```

### Description

`DROP OPERATOR CLASS` drops an existing operator class. To execute this command you must be the owner of the operator class.

`DROP OPERATOR CLASS` does not drop any of the operators or functions referenced by the class. If there are any indexes depending on the operator class, you will need to specify `CASCADE` for the drop to complete.

### Parameters

`IF EXISTS`

Do not throw an error if the operator class does not exist. A notice is issued in this case.

*`name`*

The name (optionally schema-qualified) of an existing operator class.

*`index_method`*

The name of the index access method the operator class is for.

`CASCADE`

Automatically drop objects that depend on the operator class (such as indexes), and in turn all objects that depend on those objects (see [Section 5.14](/15/the-sql-language/ddl/dependency-tracking.md)).

`RESTRICT`

Refuse to drop the operator class if any objects depend on it. This is the default.

### Notes

`DROP OPERATOR CLASS` will not drop the operator family containing the class, even if there is nothing else left in the family (in particular, in the case where the family was implicitly created by `CREATE OPERATOR CLASS`). An empty operator family is harmless, but for the sake of tidiness you might wish to remove the family with `DROP OPERATOR FAMILY`; or perhaps better, use `DROP OPERATOR FAMILY` in the first place.

### Examples

Remove the B-tree operator class `widget_ops`:

```

DROP OPERATOR CLASS widget_ops USING btree;
```

This command will not succeed if there are any existing indexes that use the operator class. Add `CASCADE` to drop such indexes along with the operator class.

### Compatibility

There is no `DROP OPERATOR CLASS` statement in the SQL standard.

### See Also

[ALTER OPERATOR CLASS](/15/reference/sql-commands/alter-operator-class.md), [CREATE OPERATOR CLASS](/15/reference/sql-commands/create-operator-class.md), [DROP OPERATOR FAMILY](/15/reference/sql-commands/drop-operator-family.md)

***

原文：[PostgreSQL 15.19 Documentation](/15/reference/sql-commands/drop-operator-class.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/reference/sql-commands/drop-operator-class.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
